---
layout: table_wrappers
---

<!DOCTYPE html>

<html lang="{{ site.lang | default: 'en-US' }}">
{% include head.html %}
<body>
  <svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
    <symbol id="svg-link" viewBox="0 0 24 24">
      <title>Link</title>
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-link">
        <path d="M10 13a5 5 0 0 0 7.54.54l3-3a5 5 0 0 0-7.07-7.07l-1.72 1.71"></path><path d="M14 11a5 5 0 0 0-7.54-.54l-3 3a5 5 0 0 0 7.07 7.07l1.71-1.71"></path>
      </svg>
    </symbol>
    <symbol id="svg-search" viewBox="0 0 24 24">
      <title>Search</title>
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search">
        <circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line>
      </svg>
    </symbol>
    <symbol id="svg-menu" viewBox="0 0 24 24">
      <title>Menu</title>
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-menu">
        <line x1="3" y1="12" x2="21" y2="12"></line><line x1="3" y1="6" x2="21" y2="6"></line><line x1="3" y1="18" x2="21" y2="18"></line>
      </svg>
    </symbol>
    <symbol id="svg-arrow-right" viewBox="0 0 24 24">
      <title>Expand</title>
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-chevron-right">
        <polyline points="9 18 15 12 9 6"></polyline>
      </svg>
    </symbol>
    <symbol id="svg-doc" viewBox="0 0 24 24">
      <title>Document</title>
      <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-file">
        <path d="M13 2H6a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V9z"></path><polyline points="13 2 13 9 20 9"></polyline>
      </svg>
    </symbol>
  </svg>

  <div class="side-bar">
    <div class="site-header">
      <a href="{{ '/' | absolute_url }}" class="site-title lh-tight">{% include title.html %}</a>
      <a href="#" id="menu-button" class="site-button">
        <svg viewBox="0 0 24 24" class="icon"><use xlink:href="#svg-menu"></use></svg>
      </a>
    </div>
    <nav role="navigation" aria-label="Main" id="site-nav" class="site-nav">
      {% if site.just_the_docs.collections %}
        {% assign collections_size = site.just_the_docs.collections | size %}
        {% for collection_entry in site.just_the_docs.collections %}
          {% assign collection_key = collection_entry[0] %}
          {% assign collection_value = collection_entry[1] %}
          {% if page.collection != collection_key and page.locale != collection_value.locale %}{% continue %}{% endif %}
          {% assign collection = site[collection_key] %}
          {% if collection_value.nav_exclude != true %}
            {% if collections_size > 1 %}
              <div class="nav-category">{{ collection_value.name }}</div>
            {% endif %}
            {% if collection.size > 0 %}
            {% include components/nav.html pages=collection %}
            {% else %}
              <div class="nav-list">
                <div class="box box--warning box--small">{{ 'layout.empty_collection' | t }}</div>
              </div>
            {% endif %}
          {% endif %}
        {% endfor %}
      {% else %}
        {% include components/nav.html pages=site.html_pages %}
      {% endif %}
      {{ page | translation_links }}
    </nav>
    <footer class="site-footer">
      {{ 'layout.footer' | t: '<a href="https://github.com/pmarsceill/just-the-docs">Just the Docs</a>'}}
    </footer>
  </div>
  <div class="main" id="top">
    <div id="main-header" class="main-header">
      {% if site.search_enabled != false %}
        <div class="search">
          <div class="search-input-wrap">
            <input type="text" id="search-input" class="search-input" tabindex="0" placeholder="{{ 'layout.menu.search' | t }}" aria-label="{{ 'layout.menu.search' | t }}" autocomplete="off">
            <label for="search-input" class="search-label"><svg viewBox="0 0 24 24" class="search-icon"><use xlink:href="#svg-search"></use></svg></label>
          </div>
          <div id="search-results" class="search-results"></div>
        </div>
      {% else %}
        <div class="search"></div>
      {% endif %}
      {% include header_custom.html %}
      {% if site.aux_links %}
        <nav aria-label="Auxiliary" class="aux-nav">
          <ul class="aux-nav-list">
            {% for link in site.aux_links %}
              <li class="aux-nav-list-item">
                <a href="{{ link.last }}" class="site-button"
                  {% if site.aux_links_new_tab %}
                  target="_blank" rel="noopener noreferrer"
                  {% endif %}
                >
                  {{ link.first }}
                </a>
              </li>
            {% endfor %}
            <li class="aux-nav-list-item">
              <div class="site-button site-button--right">
                {{ 'layout.menu.last_tag' | t }} <br>
                <span class="site-button--version">{{ site.data['last_git_tag'] }}</span>
              </div>
            </li>
          </ul>
        </nav>
      {% endif %}
    </div>
    <div id="main-content-wrap" class="main-content-wrap">
      {% unless page.url == "/" %}
        {% if page.parent %}
          {%- for node in pages_list -%}
            {%- if node.parent == nil -%}
              {%- if page.parent == node.title or page.grand_parent == node.title -%}
                {%- assign first_level_url = node.url | absolute_url -%}
              {%- endif -%}
              {%- if node.has_children -%}
                {%- assign children_list = pages_list | where: "parent", node.title -%}
                {%- for child in children_list -%}
                  {%- if page.url == child.url or page.parent == child.title -%}
                    {%- assign second_level_url = child.url | absolute_url -%}
                  {%- endif -%}
                {%- endfor -%}
              {%- endif -%}
            {%- endif -%}
          {%- endfor -%}
          <nav aria-label="Breadcrumb" class="breadcrumb-nav">
            <ol class="breadcrumb-nav-list">
              {% if page.grand_parent %}
                <li class="breadcrumb-nav-list-item"><a href="{{ first_level_url }}">{{ page.grand_parent }}</a></li>
                <li class="breadcrumb-nav-list-item"><a href="{{ second_level_url }}">{{ page.parent }}</a></li>
              {% else %}
                <li class="breadcrumb-nav-list-item"><a href="{{ first_level_url }}">{{ page.parent }}</a></li>
              {% endif %}
              {% if page.title %}
              <li class="breadcrumb-nav-list-item"><span>{{ page.title }}</span></li>
              {% endif %}
            </ol>
          </nav>
        {% endif %}
      {% endunless %}
      <div id="main-content" class="main-content" role="main">
        {% if page.title %}
        <h1>{{page.title}}</h1>
        {% endif %}

        {% if page['last_modified_date'] or page['path'] and page['modifiable'] %}
          <aside class="header-aside text-delta">
            <div class="header-aside__date">
              {% if page['last_modified_date'] %}
                <strong>{{ 'layout.last_change' | t }}</strong> {{ page['last_modified_date'] | d: 'date_format' }}
              {% endif %}
            </div>
            <div class="header-aside__actions">
              {% if page['path'] and page['modifiable'] %}
                <a class="btn btn-blue" href="{{ page | edit_page_link }}" target="_blank">
                  {{ 'layout.edit_online' | t }}
                </a>
              {% endif %}
            </div>
          </aside>
        {% endif %}
        <!-- {% if site['documentation_target_tag'] != site.data['last_git_tag'] %}
          <div class="box box--warning">{{ 'layout.inaccurate_version' | t: site['documentation_target_tag'], site.data['last_git_tag'] }}</div>
        {% endif %} -->
        {% if site.heading_anchors != false %}
          {% include vendor/anchor_headings.html html=content beforeHeading="true" anchorBody="<svg viewBox=\"0 0 16 16\" aria-hidden=\"true\"><use xlink:href=\"#svg-link\"></use></svg>" anchorClass="anchor-heading" anchorAttrs="aria-labelledby=\"%html_id%\"" %}
        {% else %}
          {{ content }}
        {% endif %}

        {% if page.has_children == true and page.has_toc != false %}
          <hr>
          <h2 class="text-delta">{{ 'layout.toc' | t }}</h2>
          <ul>
            {%- assign children_list = pages_list | where: "parent", page.title | where: "grand_parent", page.parent -%}
            {% for child in children_list %}
              <li>
                <a href="{{ child.url | absolute_url }}">{{ child.title }}</a>{% if child.summary %} - {{ child.summary }}{% endif %}
              </li>
            {% endfor %}
          </ul>
        {% endif %}

        {% capture footer_custom %}
          {%- include footer_custom.html -%}
        {% endcapture %}
        {% if footer_custom != "" %}
          <hr>
          <footer>
            {% if site.back_to_top %}
              <p><a href="#top" id="back-to-top">{{ 'layout.back_to_top' | t }}</a></p>
            {% endif %}

            {{ footer_custom }}
          </footer>
        {% endif %}

      </div>
    </div>

    {% if site.search_enabled != false %}
      {% if site.search.button %}
        <a href="#" id="search-button" class="search-button">
          <svg viewBox="0 0 24 24" class="icon"><use xlink:href="#svg-search"></use></svg>
        </a>
      {% endif %}

      <div class="search-overlay"></div>
    {% endif %}
  </div>
</body>
</html>
